package org.jcp.xml.dsig.internal;

import java.security.SignatureException;
import java.security.Signature;
import java.io.ByteArrayOutputStream;

public class SignerOutputStream extends ByteArrayOutputStream
{
    private final Signature sig;
    
    public SignerOutputStream(Signature sig) {
        this.sig = sig;
    }
    
    @Override
    public void write(int b) {
        super.write(b);
        try {
            this.sig.update((byte)b);
        }
        catch (SignatureException cause) {
            throw new RuntimeException(cause);
        }
    }
    
    @Override
    public void write(byte[] array, int n, int n2) {
        super.write(array, n, n2);
        try {
            this.sig.update(array, n, n2);
        }
        catch (SignatureException cause) {
            throw new RuntimeException(cause);
        }
    }
}
